Commits

shemnon committed 5c255ee

use version locked urls for the snapshot
change FullyExpressed to use licneseType

  • Participants
  • Parent commits 32faa3d

Comments (0)

Files changed (7)

File samples/ConferenceScheduleApp/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 
 if (!System.getProperty("java.version").matches(/^(1\.)?8.*/)) { //FIXME not the best way, but cloudbees is on an old version of gradle
     throw new GradleException("Java 8 required, ${System.getProperty("java.version")} found")

File samples/Ensemble2/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 
 repositories {
     mavenLocal()

File samples/FXML-LoginDemo/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 
 javafx {
     mainClass = 'demo.Main'

File samples/FullyExpressed/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 apply plugin: 'idea'
 
 javafx {
     copyright = 'Copyright (c) 2012 Danno Ferrin'
     description = '''If it can and ever should be configured, it is configured in this build.
 But really, you should live with the conventions when appropriate.'''
-    license = '3 clause BSD'
+    licenseType = '3 clause BSD'
     vendor = 'Me!'
 
     // deploy/preferences attributes

File samples/Modena/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 
 if (!System.getProperty("java.version").matches(/^(1\.)?8.*/)) { //FIXME not the best way, but cloudbees is on an old version of gradle
     throw new GradleException("Java 8 required, ${System.getProperty("java.version")} found")

File samples/SwingInterop/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'
 
 javafx {
     mainClass = 'swinginterop.SwingInterop'

File samples/brickbreaker/build.gradle

-apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/javafx.plugin'
+apply from: 'https://repository-javafx-gradle-plugin.forge.cloudbees.com/snapshot/0.1.0-SNAPSHOT/javafx.plugin'